Bug 475926 - Delete confirmation dialog nitpick
Delete confirmation dialog nitpick
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 00:18 EST by Daniel Bass
Modified: 2010-03-16 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-24 14:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Bass 2008-12-11 00:18:23 EST
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

The delete confirmation dialog says, 'This will permanently delete the vm "$vm," are you sure?' How about this instead: 'Are you sure you want to delete the virtual machine "$vm"?' It seems that this would be helpful in mentally parsing that dialog.
Also, the buttons in the dialog are "Yes" and "No". They should be "Delete" and "Cancel", as per the GNOME HIG: http://library.gnome.org/devel/hig-book/stable/windows-alert.html.en


Reproducible: Always
Comment 1 Richard Laager 2009-01-23 19:42:24 EST
The text is addressed here: http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/e2056d9074e5

Cole Robinson had this to say about the buttons:
> This can hold off a bit. We need a revamped delete dialog anyways to
> optionally allow deleting the VM disk storage, so I'll incorporate this
> change when that work is done.
Comment 2 Cole Robinson 2009-01-24 14:52:33 EST
Yes, there is already a bug to track the enhanced delete dialog, bug 351681. We can close this as UPSTREAM, and I'll add the button recommendation to the other bug.

Note You need to log in before you can comment on or make changes to this bug.